ここの情報は古いです。ご理解頂いた上でお取り扱いください。

Opened 11 years ago

Closed 11 years ago

Last modified 10 years ago

#2301 closed defect (fixed)

統計情報の月次・日次集計が年月順にソートされていない

Reported by: imamura623 Owned by: kiwa
Priority: minor Milestone: OpenPNE2.12.7
Component: pne-postgresql Version: 2.10.x & 2.12.x & 2.14.x
Keywords: OpenPNE2.10.13 OpenPNE2.13.6 Cc:

Description (last modified by kudo)

■現象

管理画面にある統計情報の月次・日次集計が年月順にソートされていない。

■発生バージョン

  • OpenPNE 2.10.5.1

■再現手順

■環境

  • PHP 4.3.9(cgi)
  • Apache 2.0.52
  • PostgreSQL 8.1.4

■関連情報

元のDescription

http://sns.openpne.jp/?m=pc&a=page_fh_diary&target_c_diary_id=16544 より転記

環境
OpenPNE 2.10.5.1
PHP 4.3.9(cgi) 
Apache 2.0.52 
PostgreSQL 8.1.4 

場所
管理ページ - 統計情報 - PCページ月次集計 

現象
月次アクセスメンバー数のカレンダーの年月の表示がおかしいです。
以下のようになります。

2007年06月
2007年10月
2008年03月
2007年05月
2007年07月
2008年01月
2007年09月
2007年12月
2008年04月
2008年02月
2007年08月
2007年11月

ソート忘れでしょうか?

あと、この状態で日次集計を見ると全ての日でアクセス数が
ゼロになります。

Change History (17)

comment:1 Changed 11 years ago by nakasone

Keywords: 再現せず added; 再現待ち removed

以下のような確認を行ってみましたが再現できませんでした

■確認ブラウザ

  • IE6
  • スレイプニル2.7

■確認バージョン

  • 2.8.x
  • 2.10.x
  • trunk

■手順

  1. 管理画面にログイン
  2. 統計情報→PCページ月次集計閲覧
  3. ソートされている
  4. 日次集計閲覧
  5. ソートされていて、アクセス数もカウントされている

comment:2 Changed 11 years ago by imamura623

Keywords: 再現待ち added; 再現せず removed

http://sns.openpne.jp/?m=pc&a=page_fh_diary&target_c_diary_id=16820 にて詳細な再現方法が記載されています

エンジンは
 OpenPNE2.10.2
 OpenPNE2.10.5.1
の両方で発生しました。

データベースはPostgreSQL8.1.4のみで確認しています。
データベースの「c_access_log」を空にして、以下のSQLを実行してください。
2007年1月~2008年5月に1件ずつアクセスを入れます。

insert into c_access_log(c_member_id, page_name, r_datetime)values(1,'h_home','2007-01-01 00:00:00');
insert into c_access_log(c_member_id, page_name, r_datetime)values(1,'h_home','2007-02-01 00:00:00');
insert into c_access_log(c_member_id, page_name, r_datetime)values(1,'h_home','2007-03-01 00:00:00');
insert into c_access_log(c_member_id, page_name, r_datetime)values(1,'h_home','2007-04-01 00:00:00');
insert into c_access_log(c_member_id, page_name, r_datetime)values(1,'h_home','2007-05-01 00:00:00');
insert into c_access_log(c_member_id, page_name, r_datetime)values(1,'h_home','2007-06-01 00:00:00');
insert into c_access_log(c_member_id, page_name, r_datetime)values(1,'h_home','2007-07-01 00:00:00');
insert into c_access_log(c_member_id, page_name, r_datetime)values(1,'h_home','2007-08-01 00:00:00');
insert into c_access_log(c_member_id, page_name, r_datetime)values(1,'h_home','2007-09-01 00:00:00');
insert into c_access_log(c_member_id, page_name, r_datetime)values(1,'h_home','2007-10-01 00:00:00');
insert into c_access_log(c_member_id, page_name, r_datetime)values(1,'h_home','2007-11-01 00:00:00');
insert into c_access_log(c_member_id, page_name, r_datetime)values(1,'h_home','2007-12-01 00:00:00');
insert into c_access_log(c_member_id, page_name, r_datetime)values(1,'h_home','2008-01-01 00:00:00');
insert into c_access_log(c_member_id, page_name, r_datetime)values(1,'h_home','2008-02-01 00:00:00');
insert into c_access_log(c_member_id, page_name, r_datetime)values(1,'h_home','2008-03-01 00:00:00');
insert into c_access_log(c_member_id, page_name, r_datetime)values(1,'h_home','2008-04-01 00:00:00');
insert into c_access_log(c_member_id, page_name, r_datetime)values(1,'h_home','2008-05-01 00:00:00');

以上を実行後、統計情報のPC別月次集計を表示します。

comment:3 Changed 11 years ago by ogawa

Version: 2.10.x & 2.11.x2.10.x & 2.12.x & 2.13.x

comment:4 Changed 11 years ago by kiwa

Priority: minormajor

comment:5 Changed 11 years ago by kiwa

Keywords: 再現待ち removed
Priority: majorminor

postgresSQL環境にて再現しました

■version

  • 2.13.1

※2.12.0,2.10.6環境はデータ不足のため検証できず

■RDBMS

  • PostgreSQL 8.1.9

※MySQL5.0.22では再現せず

■内容

統計情報:ページ月次集計(admin_page_access_analysis_month)にて、「月次別アクセスメンバー数」の表示が以下のようになっていました。

2008年05月4日次集計
2008年03月62日次集計
2008年04月141日次集計

2.10系で検証されtrunkで再現されているので、2.10~2.13で現象が発生すると考えてよいと思います。

comment:6 Changed 11 years ago by ebihara

Keywords: OpenPNE2.10.12 OpenPNE2.13.4 added
Milestone: OpenPNE2.12.6

comment:7 Changed 11 years ago by kiwa

Keywords: OpenPNE2.13.5 added; OpenPNE2.13.4 removed

comment:8 Changed 11 years ago by kiwa

Keywords: OpenPNE2.10.12 OpenPNE2.13.5 removed
Milestone: OpenPNE2.12.6

見送ります。

comment:9 Changed 11 years ago by ebihara

Keywords: OpenPNE2.10.13 OpenPNE2.13.5 added
Milestone: OpenPNE2.12.7

comment:10 Changed 11 years ago by kiwa

Keywords: OpenPNE2.13.6 added; OpenPNE2.13.5 removed

2.13.5では見送ります。

comment:11 Changed 11 years ago by kiwa

Owner: changed from nobody to kiwa
Status: newassigned

やります。

comment:12 Changed 11 years ago by kiwa

Keywords: 確認中 added

以下のリビジョンで対応しました。ご確認ください。

あと、この状態で日次集計を見ると全ての日でアクセス数が
ゼロになります。

こちらの問題は別チケットで対応します。

  • #3242: PostgreSQL8系だと統計情報の日時集計にデータが反映されない

comment:13 Changed 11 years ago by ebihara

Keywords: テスト待ち added; 確認中 removed

comment:14 Changed 11 years ago by shingo

Keywords: 差し戻し added; テスト待ち removed

携帯月次が修正されていない

comment:15 Changed 11 years ago by shingo

Keywords: 差し戻し removed

問題ありませんでした。

comment:16 Changed 11 years ago by shingo

Resolution: fixed
Status: assignedclosed

comment:17 Changed 10 years ago by kudo

Description: modified (diff)
Note: See TracTickets for help on using tickets.